---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: cert-manager
  namespace: flux-system
spec:
  targetNamespace: cert-manager
  upgrade:
    preserveValues: false
  install:
    createNamespace: true
  interval: 5m
  chart:
    spec:
      chart: cert-manager
      version: 'v1.14.4'
      sourceRef:
        kind: HelmRepository
        name: jetstack
        namespace: flux-system
      interval: 1m
  dependsOn:
    - name: dependsOn
  values:
    fullnameOverride: cert-manager
    installCRDs: true
    ingressShim:
      defaultIssuerName: "letsencrypt"
      defaultIssuerKind: "ClusterIssuer"
      defaultIssuerGroup: "cert-manager.io"
